The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Начальный план разработки Qt 6

21.06.2018 22:26

На прошедшей конференции Qt Contributor Summit 2018 состоялось обсуждение разработки следующей ветки фреймворка Qt 6. Qt 6 планируют выпустить в ноябре 2020 года. Разработка Qt 6 начнётся вскоре после релиза Qt 5.12, намеченного на 29 ноября 2018 года. При этом развитие ветки Qt 5 будет какое-то время вестись параллельно с Qt 6 и последним выпуском серии Qt 5 станет 5.15, который будет причислен к категории LTS c формированием обновлений в течение трёх лет.

Из особенностей Qt 6 отмечается переход при разработке на стандарт C++17, прекращение использования сборочной системы qmake (новая сборочная система, скорее всего, будет основана на qbs) и предоставление инструментов для простой миграции с Qt 5. В целом, в первом релизе Qt 6 не ожидается каких-то существенных новшеств, главное внимание будет уделено чистке кодовой базы и подготовке к реализации новшеств в будущих выпусках Qt 6.x. Возможности которые планируется удалить в Qt 6 будут помечены в Qt 5.15, а возможно и в более ранних выпусках, как устаревшие.

  1. Главная ссылка к новости (https://tsdgeos.blogspot.com/2...)
  2. OpenNews: Релиз фреймворка Qt 5.11
  3. OpenNews: Релиз фреймворка Qt 5.10 и среды разработки Qt Creator 4.5.0
Лицензия: CC-BY
Тип: К сведению
Короткая ссылка: https://opennet.ru/48816-qt
Ключевые слова: qt
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (195) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, proninyaroslav (ok), 22:34, 21/06/2018 [ответить] [﹢﹢﹢] [ · · · ]  
  • +17 +/
    Ждём 6 кеды.
     
     
  • 2.21, anonimimimi (?), 23:56, 21/06/2018 [^] [^^] [^^^] [ответить]  
  • +18 +/
    Фух, а я уже было усомнился, что кедерасты не соблюдают традиции, а вон нет, соблюдают, как раз пятокеды начали обретать очертания более/менее устойчивого DE, самое время перепиливать всё с нуля на новой версии культей!

    Поломать всё что сделали и собирать новые баги, надо ломать аби и апи, всё, короче ломать, а то как-то нипарядок, чтобы юзеры долго наслаждались стабильностью и свистелками-перделками, нужно снова в тормоза и перманентные падения плазмы, пилить новые свистелки, и пинать юзверя жрать новый кактус, кактус сам себя жрать не будет, свитоперделки сами себя не (насвистопердят/насвистопердолят?), плазма сама себя не уронит!...  
    Хотя ой, в текущей LTS ветке пятокедов за два дня плазмащель упала три раза.

    Может рановато они там взялись?.. А?! ...или к 2020 как раз вот совсем почти падать перестанет, а они уже с новыми кедами?

     
     
  • 3.45, Аноним (45), 03:37, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +7 +/
    Прям песнь, мыши, которая жрет кактус.

     
  • 3.57, RotarenegeD (?), 07:25, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –1 +/
    ну так потому и фризят пятую ветку в таком состоянии когда они хороши и юзабельны и начинают шестую ветку открытую для экспериментов и новых идей. весьма продуманное решение.
     
     
  • 4.69, Аноним (69), 09:01, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Вот бы еще эту шестую ветку не начинали сразу же пихать во все дистрибутивы. Как с пятокедами было: все разваливается и работает через одно место, зато разработчики уже гордо отчитываются, что очередной Linux *поставь_название* перешел на KDE 5.
     
     
  • 5.180, Аноним (180), 21:40, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    ну 4-е кеды были настолько плохие, что уже 5.4 убыла лучше 4-й ветки. А qt4 до сих пор в генте есть, собери и пользуйся.
     
     
  • 6.189, Аноним (189), 00:31, 23/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > А qt4 до сих пор в генте есть, собери и пользуйся.

    Фу, как неприлично. Может, человек не мазохист, а вы со своей генту лезете.

     
     
  • 7.219, Аноним (219), 07:06, 27/06/2018 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Да не, мазохизм это любой линукс кроме генты. У той из недостатков только протухшие и кривые ебилды (иногда одновременно), т.е. получается не слишком качественный роллинг для обновлений. Мало людей.
     
  • 6.119, nobody (??), 13:45, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +5 +/
    Пропатчил гляжу уже с помошью анимешников
     
  • 3.83, Аноним (83), 10:30, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Дуплик, зачем поменял ник на какой-то anonimimimi?
     
  • 3.178, Аноним (178), 20:20, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Пятые кеды падают только у тех, кто ими не пользуется.
     
     
  • 4.195, Аноним (195), 08:13, 23/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    У тех кто пользуется, они лежат постоянно.
     
  • 3.226, rvs2016 (ok), 22:39, 28/10/2018 [^] [^^] [^^^] [ответить]  
  • +/
    > как раз пятокеды начали обретать очертания
    > более/менее устойчивого DE, самое время
    > перепиливать всё с нуля на новой версии культей!

    Так это ещё при том, что пятокеды и поюзать-то толком ещё не успели (во многие дистрибутивы их до сих пор так и не вставляют - от греха, конечно, подальше), многие юзера довольно неплохо сидят на четвёртокедах, а устарели пятые уж! 😲

     
  • 2.22, axredneck (?), 00:11, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Скорее всего, будут Фреймворки 6. Возможно, будет Плазма 6, но вряд ли переход будет таким жестким, как был на Плазму 5. С Приложениями КДЕ тоже, скорее всего, будет все не так сурово, как было при переходе на Кьют 5 и Фреймворки. В общем, бояться особо нечего.
     
     
  • 3.56, DAP (?), 06:39, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Читал это при переходе с 4 на 5 по сравнению с 3 на 4 ;)
     
     
  • 4.111, Fracta1L (ok), 12:56, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Во сне читал? С самого начала никто не скрывал, что переход с 4 на 5 будет ломать архитектуру.
     
  • 3.85, Аноним (83), 10:35, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Жёстко было при переходе на 4, т.к. в 3-их Плазмы совсем не было. А с 4 на 5 ваще слабо заметно.
     
  • 3.94, YetAnotherOnanym (ok), 11:42, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > скорее всего

    Среди цивилизованных людей сейчас принято говорить "хайли лайкли".

     
     
  • 4.126, Аноним (83), 14:21, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    А если чуть более по-русски сказать, лучше зазвучит ;)
     
  • 4.188, NuclearWar (?), 23:02, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Хайль Лайкл?
     
  • 2.33, Анончик999999 (?), 01:00, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Фух! Вроде ничего не вспоминают про устаревание QtWidgets. Это хорошо! Еще есть куча куда на виджетах, не хотелось, чтоб резко выкинули ради QML.
     
     
  • 3.58, RotarenegeD (?), 07:27, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Фух! Вроде ничего не вспоминают про устаревание QtWidgets. Это хорошо! Еще есть
    > куча куда на виджетах, не хотелось, чтоб резко выкинули ради QML.

    весьма вероятно что их какраз пометят как депрекэйтед в поздних выпусках 5.Х и в шестые уже не возьмут.

     
     
  • 4.63, Аноним (63), 07:59, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Все они возьмут, так как qml - не альтернатива qtwidgets.
     
     
  • 5.78, Аноним (-), 09:51, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Я могу сказать чего такого нельзя реализовать на виджетах, но можно на qml. А вот про обратное хотелось бы увидеть подробности.
     
     
  • 6.84, Вареник (?), 10:31, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    > Я могу сказать чего такого нельзя реализовать на виджетах, но можно на
    > qml. А вот про обратное хотелось бы увидеть подробности.

    Вы готовы лично переписать весь код, заточенный под виджеты? Раз не видите проблемы.

     
     
  • 7.137, Vkni (ok), 15:11, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    А зачем его переписывать? Ещё 4-ка никуда не делась, и, похоже, не денется.
     
     
  • 8.138, Alexey (??), 15:12, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –1 +/
    То что мертно а это 4 , но уже не нужно Оно отстало и только отсталый будет так... текст свёрнут, показать
     
     
  • 9.140, Vkni (ok), 15:14, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    От чего отстало Технологии GUI - это сплошная беготня по кругу ... текст свёрнут, показать
     
  • 6.164, Аноним (164), 17:41, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    > Я могу сказать чего такого нельзя реализовать на виджетах, но можно на qml

    Интересно, что же это?

     
  • 6.221, Акроним (?), 08:56, 27/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Я могу сказать чего такого нельзя реализовать на виджетах, но можно на
    > qml. А вот про обратное хотелось бы увидеть подробности.

    Да, например, как вы замените QTreeView? У меня в QML так и не получилось нормальное дерево наваять. Всему свое применение. Обе технологии полезные, но пока не взаимозаменяемые. Тем не менее, их легко можно смешивать.

     
  • 3.220, Акроним (?), 08:54, 27/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Наоборот, в Qt 6 обещают уделить внимание QtWidgets. Никто их выкидывать никуда не собирается.
     
  • 2.202, Аноним (202), 20:14, 23/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Зачем ждать кеды,если есть Lxqt?
     
  • 2.204, runoverheads (ok), 07:03, 24/06/2018 [^] [^^] [^^^] [ответить]  
  • –1 +/
    кеды надо просто выкинуть. они всегда будут падат
     
  • 2.227, anonymous (??), 11:26, 02/04/2019 [^] [^^] [^^^] [ответить]  
  • +/
    KDE6 будет на GTK4
     

     ....большая нить свёрнута, показать (33)

  • 1.2, Аноним (2), 22:37, 21/06/2018 [ответить] [﹢﹢﹢] [ · · · ]  
  • –19 +/
    Сначала баги поправьте, глючное поделение
     
     
  • 2.196, унон (?), 09:35, 23/06/2018 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Чего это столько минусов?

    Человек дело говорит - любят они баги новые вставлять ;).
    Скачал баг-фикс релиз Qt 5.9.4 после Qt 5.9.3 - поломали работу приложения, да ещё и зачем-то подсунули новую версию QtCreator'a, которая в свою очередь выкинула "устаревшую" функциональность и потребовала использовать только новую опцию сборки Android приложений, которая не работает.

    Вот на кой чёрт делать такие гадости в корректирующем релизе, где пользователи ожидают только баг фиксы??? Это просто свинство какое-то!
    Почему я должен плясать и ставить разные версии Qt, чтобы иметь возможность рабочую версию QtCreator'а, т.к. QtCreator как независимый пакет не умеет ничего не собирать и невозможно настроить???

     
  • 2.225, anonymous (??), 19:31, 01/07/2018 [^] [^^] [^^^] [ответить]  
  • +/
    а может вы поможете?
     

  • 1.3, Аноняшка (?), 22:39, 21/06/2018 [ответить] [﹢﹢﹢] [ · · · ]  
  • –4 +/
    GTK & QT - плюсы и минусы: что лучше?
     
     
  • 2.4, леновоюсер (?), 22:42, 21/06/2018 [^] [^^] [^^^] [ответить]  
  • +10 +/
    Qt
     
     
  • 3.65, Аноне (?), 08:38, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Qt: C++, GTK: C.
     
     
  • 4.76, Аноним (76), 09:33, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –1 +/
    GTK+, Qt
     
  • 4.106, Алсет (?), 12:32, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –3 +/
    здесь тот случай когда не так важно какой язык, тем более одно семейство
    GTK намного стабильнее(в плане работы) QT, хотя казалось бы что на с++ код должен писаться и отлаживаться проще
    но GTK заметно проигрывает по фичам.
    Вот народ и выбирает между стабильностью и фичами, но к сожалению с линуксоидами тенденция как и во всем мире, выбирают ляпоту в ущерб стабильности
     
     
  • 5.153, Аноним (83), 16:26, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Это какие-такие в Gtk есть киллеpфичи, которых нет в Qt?
     
     
  • 6.157, Алсет (?), 16:59, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    читай внимательней, я наоборот писал что в Qt фич больше, но Gtk лучше в плане стабильности работы.
     
  • 5.181, Аноним (180), 21:43, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > здесь тот случай когда не так важно какой язык, тем более одно
    > семейство
    > GTK намного стабильнее(в плане работы) QT, хотя казалось бы что на с++
    > код должен писаться и отлаживаться проще
    > но GTK заметно проигрывает по фичам.
    > Вот народ и выбирает между стабильностью и фичами, но к сожалению с
    > линуксоидами тенденция как и во всем мире, выбирают ляпоту в ущерб
    > стабильности

    Просто нужно ставить LTS qt-а (после 3-го патча хотя бы) а не прыгать на новые версии. Так же и сплазмой 5.12.0 -- не лучшая версия на рабочем компе.

     
  • 2.5, Аноним (76), 22:43, 21/06/2018 [^] [^^] [^^^] [ответить]  
  • –12 +/
    Плюсы GTK: ++++++++
    Минусы GTK: --
    Плюсы Qt: +++
    Минусы Qt: -----------
     
     
  • 3.7, Аноним (7), 22:52, 21/06/2018 [^] [^^] [^^^] [ответить]  
  • +5 +/
    скорее так:

    GTK: ++++
    GTK: ----------
    Qt: ++++++++++++
    Qt: ----

     
     
  • 4.8, Аноним (76), 22:53, 21/06/2018 [^] [^^] [^^^] [ответить]  
  • –12 +/
    не, скорее так:

    Плюсы GTK: +++++++++++++++++++++++++
    Минусы GTK: -
    Плюсы Qt: (отсутствуют)
    Минусы Qt: -----------------------------------------------------

     
     
  • 5.9, Аноним (9), 23:03, 21/06/2018 [^] [^^] [^^^] [ответить]  
  • +12 +/
    Если без шуток, Qt в разы лучше GTK.
     
     
  • 6.25, asand3r (ok), 00:32, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Мне всегда было интересно, почему основной версией у многих мейнстримовых дистров идёт GNOME или же что-то на нем основанное. Сборки с KDE обычно на втором плане вместе с LXDE, XFCE и пр. RHEL/Fedora, Debian, Ubuntu.
     
     
  • 7.29, Аноним (29), 00:50, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Потому что людям работать надо, а не Плазму поднимать.
     
     
  • 8.36, псевдонимус (?), 01:36, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +9 +/
    Работать и гном3 плохо совместимые понятия ... текст свёрнут, показать
     
     
  • 9.53, iPony (?), 06:21, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Нормально Достаточно дока для запуска нескольких приложений А так же хороша по... текст свёрнут, показать
     
     
  • 10.70, Аноним (69), 09:06, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    640 килобайт хватит всем А вот здесь согласен Кеды имеют огромные возможности ... текст свёрнут, показать
     
  • 10.213, adolfus (ok), 12:40, 25/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Вы шутите У меня evince и прочие поделия третьегнома открываются на всю ширину ... текст свёрнут, показать
     
  • 10.222, псевдонимус (?), 12:37, 28/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    А не проще поставить вм, док и файловый менеджер ... текст свёрнут, показать
     
  • 7.35, псевдонимус (?), 01:33, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Так qt был несвободен,дебиан взял его по идеологическим соображениям,мерзкошапка по коммерческим.Сейчас же приказ красной шапки закон для "мейнстримных" дистров,а шапка пилит гомном.
     
     
  • 8.182, Аноним (180), 21:44, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Хотя гном по прежнему жрет тонны ресурсов на старых компах и некоторых ati карто... текст свёрнут, показать
     
  • 7.59, RotarenegeD (?), 07:30, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Мне всегда было интересно, почему основной версией у многих мейнстримовых дистров идёт
    > GNOME или же что-то на нем основанное. Сборки с KDE обычно
    > на втором плане вместе с LXDE, XFCE и пр. RHEL/Fedora, Debian,
    > Ubuntu.

    так исторически сложилось ещё во времена когда Qt был несвободным, ну и некоторые авторитетные люди из GNU автоматически выбирают GNU даже если оно хуже по характеристикам.. и это влияние весьма сильное.

     
     
  • 8.87, Аноним (83), 10:42, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Но сейчас Qt под LGPLv3, что одобряемо FSF ... текст свёрнут, показать
     
  • 2.12, Michael Shigorin (ok), 23:09, 21/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > GTK & QT - плюсы и минусы: что лучше?

    Qt -- это и есть плюсы.

     
     
  • 3.28, PereresusNeVlezaetBuggy (ok), 00:45, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +3 +/
    >> GTK & QT - плюсы и минусы: что лучше?
    > Qt -- это и есть плюсы.

    Два плюса, посередине — кеды.

     
  • 2.24, Anonymoustus (ok), 00:27, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +4 +/
    GNUStep (+ Window Maker).

    1) https://en.wikipedia.org/wiki/GNUstep

    2) http://www.gnustep.org/

    3) https://www.google.com/search?q=GNUStep


    И ещё перечень отличных оконных менеджеров, среди которых FWVM, IceWM, OpenBox и пр.

    Больше ничего хорошего опенсорсное движение для десктопа простого человека не сделало.

     
     
  • 3.40, Sergii (?), 02:30, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    А еще есть все вышеперечисленное в одном флаконе https://github.com/trunkmaster/nextspace.
     
     
  • 4.101, Anonymoustus (ok), 12:18, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > А еще есть все вышеперечисленное в одном флаконе https://github.com/trunkmaster/nextspace.

    Оно, вообще-то, со стороны GNUstep и так в одном флаконе, но WM можно использовать отдельно.

    Ещё есть удобная сборка для тех, кто хочет «только посмотреть» — Window Maker Live: http://wmlive.sourceforge.net/

    Ещё у Альта есть сборка с WM (файлы с именем вида alt-p8-wmaker-дата-архитектура.iso): http://nightly.altlinux.org/p8/release/

     
     
  • 5.108, Sergii (?), 12:47, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Не совсем так. GNUstep это набор библиотек, WindowMaker - window manager. Между приложениями GNUstep и WindowMaker интеграция на уровне "чтобы можно было пользоваться". NEXTSPACE это desktop environment, с плотной интеграцией между WindowMaker и Workspace (управление запущенными приложениями GNUstep и X11, drag&drop, всякие анимации перелетания иконки при запуске приложений как NextStep). По сути, WindowMaker является частью Workspace.

    Другими словами, разница есть и основательная. Правда ее на скриншотах не видно - нужно пробовать. Согласен, NEXTSPACE подходит не для каждого, но его нужно сравнивать с GNOME, KDE и macOS, а не просто оконными менеджерами.

     
     
  • 6.118, Anonymoustus (ok), 13:33, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Скажем так, для простоты: Window Maker является базовым оконным менеджером среды GNUstep. Он наилучшим образом отвечает её концепции.

    Сама же среда — среди наилучшего, что было рождено движением СПО в целом и сообществом GNU в частности. К сожалению, очень непривычна для людей, воспитанных в навыках использования Windows.

     
     
  • 7.123, Sergii (?), 14:06, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Скажем так, для простоты: Window Maker является базовым оконным менеджером среды GNUstep.
    > Он наилучшим образом отвечает её концепции.

    Я в курсе и не спорю. :)
    > Сама же среда — среди наилучшего, что было рождено движением СПО в целом
    > и сообществом GNU в частности. К сожалению, очень непривычна для людей,
    > воспитанных в навыках использования Windows.

    Опять же согласен с обоими утверждениями. NEXTSPACE - дальнейшее развитие этого. Среда для пользователей, GNUstep - среда для разработчиков, поэтому пользоваться ей можно только если вы пишете свое приложение. Это так, для информации, если это вам интересно.

     
     
  • 8.125, Anonymoustus (ok), 14:18, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Я этой штукой пользовался продолжительное время Но, увы, нужного мне прикладног... текст свёрнут, показать
     
  • 7.214, adolfus (ok), 13:02, 25/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Скажем так, для простоты: Window Maker является базовым оконным менеджером среды GNUstep.
    > Он наилучшим образом отвечает её концепции.
    > Сама же среда — среди наилучшего, что было рождено движением СПО в целом
    > и сообществом GNU в частности. К сожалению, очень непривычна для людей,
    > воспитанных в навыках использования Windows.

    CUA (Common User Access) -- это лучшее, что рождено ИТ-индустрией в тесном содружестве с физиологами и психологами. Причем рождено в первые годы появления графических интерфейсов (80-е годы прошлого века).

     
     
  • 8.216, Anonymoustus (ok), 14:03, 25/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Не возражаю Однако за кнопку 171 Пуск 187 скажу пару добрых слов она даёт ... текст свёрнут, показать
     
  • 5.174, Michael Shigorin (ok), 18:52, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    > Ещё у Альта есть сборка с WM (файлы с именем вида alt-p8-wmaker-дата-архитектура.iso):
    > http://nightly.altlinux.org/p8/release/

    Там же есть и с GNUstep, только вот майнтейнер его скоропостижно скончался -- если есть заинтересованные в продолжении, милости просим.  Пока по инерции держится, но довольно многие пакеты не пережили перипетии обновления компиляторов: gnustep-MusicKit, gnustep-GNUMail, gnustep-LuserNET, gnustep-SimpleAgenda, gnustep-cenon (его особенно жаль, но починить даже вместе с апстримом моими силами не удалось), gnustep-Chess, gnustep-GSBench, gnustep-projectcenter, gnustep-thematic, gnustep-Etoile-LDAPAddressBook, gnustep-Etoile-System, gnustep-Etoile-Typewriter, gnustep-Etoile-Vindaloo.

     
  • 3.89, Аноним (83), 11:00, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    GNUstep, FWVM, IceWM, OpenBox - вы уверены, что они для __простого__ человека?
    IMHO, для простого человека - оболочка Венды, Cocoa, KDE.
     
     
  • 4.99, Anonymoustus (ok), 12:09, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Они именно для простого человека Как и DOS, кстати Просто понимание того, _что... большой текст свёрнут, показать
     
     
  • 5.142, IRASoldier (?), 15:28, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    >простой человек настолько туп, что не может выучить bash

    Неверно. Дело не в тупости. Дело в другом - простому человеку, которому компьютер нужен, чтобы им ПОЛЬЗОВАТЬСЯ, не с руки тратить время на обучение фигне, которую прекрасно заменяет для задач ИСПОЛЬЗОВАНИЯ GUI. Bash нужен администраторам и программистам, пользователю нужны "свистелки" - а если без искусственно привносимого снобствующей "элитой" сарказма - удобный наглядный интерфейс.

     
     
  • 6.144, Anonymoustus (ok), 15:49, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Ну конечно, не в тупости Она только предлог Компьютер изобретён для его програ... большой текст свёрнут, показать
     
  • 6.171, Michael Shigorin (ok), 18:43, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > пользователю нужны "свистелки"

    Не пользователю, а [I]потребителю[/I].  Это очень разные понятия, мистер потребитель.

     
  • 6.194, Аноним (-), 05:42, 23/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Ох уж эта вывернутая наизнанку идея удобства для пользователя Не надо путать уд... большой текст свёрнут, показать
     
  • 5.143, IRASoldier (?), 15:33, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Строго говоря - у "элиты" попросту пригорает: как же так, мы тратили время, учили сотни команд, а тут... пользователь! Ату его! Пусть помучается как и мы. Примерно так же пригорало у благородных господ, когда с их великим искусством филигранного владения мечом, они внезапно множились на нуль вчерашним крестьянином с аркебузой.


     
     
  • 6.146, Anonymoustus (ok), 15:58, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Да ладно, ничего в командах сложного, на всё есть маны.

    Но надо понять философию юникса. А это и впрямь, похоже, не всем даётся.

     
     
  • 7.151, аноним_очка (?), 16:20, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –3 +/
    >Но надо понять философию юникса. А это и впрямь, похоже, не всем даётся.

    А философию доса часом понимать не надо? И как это люди пользуются ios/osx/android без понимания философий?

     
     
  • 8.154, Anonymoustus (ok), 16:26, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Тебе 8212 не надо Судя по имени, ты уже всё понял и занял своё место под сол... текст свёрнут, показать
     
     
  • 9.192, псевдонимус (?), 01:48, 23/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Там где нет солнца ... текст свёрнут, показать
     
  • 8.172, Michael Shigorin (ok), 18:46, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Если вдруг помните, годах в пятидесятых или шестидесятых потребность UK в ЭВМ оц... текст свёрнут, показать
     
  • 6.160, Аноним (-), 17:33, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > Примерно так же пригорало у благородных господ, когда с их великим искусством филигранного владения мечом, они внезапно множились на нуль вчерашним крестьянином с аркебузой.

    Множились на нуль они еще с незапамятных времен арбалетчиками.
    Ну а насчет "пригорания" у владельцев холодного, неплохо бы поинтересоваться, откуда у поговорки "пуля дура, штык молодец" ноги растут.

     
     
  • 7.191, Аноним (191), 01:11, 23/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Александр Суворов, «Наука побеждать», 1806 г.
    Выражение описывает пехотную тактику того времени: сделать залп и штыковой атакой добить всех, кого не достал ружейный огонь.
     
     
  • 8.193, Аноним (193), 04:48, 23/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Причем, кого не достал излишне оптимистично сказано В то время пулям не клан... большой текст свёрнут, показать
     
  • 3.93, Аноним (93), 11:36, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > отличных оконных менеджеров
    > OpenBox

    Пробовал OpenBox, он падал ГОРАЗДО чаще, чем плазма. В отличие от BlackBox и FluxBox.

     
     
  • 4.100, Anonymoustus (ok), 12:12, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    [CODE]
    $ mv /dev/hands /dev/ass

    $ find / *hands* -ls

    $ find / *brain* -ls


    [/CODE]

     
  • 2.27, PereresusNeVlezaetBuggy (ok), 00:44, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Лучше — Кнут. Дональд Эрвин.
     
     
  • 3.92, Аноним (83), 11:31, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Угу, они говорили, что Эндрю Танненбаум лучше, чем Линус Торвальдс.
     
     
  • 4.162, Аноним (-), 17:37, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    > Угу, они говорили, что Эндрю Танненбаум лучше, чем Линус Торвальдс.

    Так его ОС, несмотря на гораздо меньший бюджет и количество (как и квалификацию) разработчиков, распространенее будет.


     
     
  • 5.170, Michael Shigorin (ok), 18:40, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    >> Угу, они говорили, что Эндрю Танненбаум лучше, чем Линус Торвальдс.
    > Так его ОС, несмотря на гораздо меньший бюджет и количество (как и
    > квалификацию) разработчиков, распространенее будет.

    Осталось выяснить, доволен ли этим сам профессор.  Если вдруг ещё неизвестно, разумеется. :]

     
  • 5.218, Аноним (218), 19:33, 26/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    ARM-систем с линуксом в мире поболее будет.
     
  • 2.39, Лягушка (?), 02:10, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > GTK & QT - плюсы и минусы: что лучше?

    rust + electron

     
  • 2.47, anonimm (?), 04:03, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +5 +/
    GTK делали в пику Qt, в том числе, принципиально отказались от C++ (видимо, так захотели Бородатый и его последователи), зато натворили свои псевдо-объектно-ориентированные костыли,  основанные на неотлаживаемых макросах и соглашениях о кодировании, выполнение которых не умеет проверять компилятор.

    Друзья, у каждого языка своя ниша! Ниша C там, где нужен полный контроль над всем происходящим - в методах вычислений, низкоуровневых алгоритмах. Не тащите его в графику, там все плюсы C превращаются в минусы.

     
     
  • 3.52, arisu (ok), 06:06, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > GTK делали в пику Qt

    эвона как! а мужики-то и не знают. автор делал-делал замену motif — а получилось «в пику кутэ». чудеса случаются.

     
     
  • 4.95, Аноним (83), 11:44, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    То, что делалось на замену Motif называлось Lesstif.
     
  • 3.217, Анонимный Алкоголик (??), 14:10, 25/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > GTK делали в пику Qt, в том числе, принципиально отказались от C++
    > (видимо, так захотели Бородатый и его последователи), зато натворили свои псевдо-объектно-ориентированные
    > костыли,  основанные на неотлаживаемых макросах и соглашениях о кодировании, выполнение
    > которых не умеет проверять компилятор.
    > Друзья, у каждого языка своя ниша! Ниша C там, где нужен полный
    > контроль над всем происходящим - в методах вычислений, низкоуровневых алгоритмах. Не
    > тащите его в графику, там все плюсы C превращаются в минусы.

    Но в Qt отказались от C++. Повнедрив свои Qt макросы... кумэйки и прочее... кустринги вот тоже... И псевдообъектноориентирование тоже добавили...

     
  • 2.104, Anonymos Incognito (?), 12:26, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    GTK+ лучше
     
     
  • 3.121, Аноним (83), 13:47, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +3 +/
    чем армяне.
     
  • 2.105, Аноним (-), 12:29, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    SDL 1.2: ANSI C -- наилучшая комбинация для кроссплатфоренного ПО
     
  • 2.112, Аноним (112), 13:00, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Если под Qt имеются ввиду виджеты (QWidget), то Qt немного лучше GTK. Если Qt - QML, то Qt намного лучше GTK.
     

     ....большая нить свёрнута, показать (65)

  • 1.13, atu (?), 23:15, 21/06/2018 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    А есть ли информация о том, что будет с QtScript?
    С одной стороны, эту часть давно не развивали, с другой - заменить пока нечем.
     
     
  • 2.18, Аноним (9), 23:32, 21/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Чем не подходит QJSEngine или QML?
     
     
  • 3.19, Аноним (7), 23:34, 21/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Попробуй это
    http://doc.qt.io/qt-5/qjsengine.html
     
  • 3.49, anonimm (?), 04:05, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –2 +/
    QtScript требует только QtCore, QJSEngine - всего графического стека и ещё браузера. В некоторых задачах это нежелательно.

    Печально, так как QtScript намного мощнее и удобнее тех же Lua.

     
     
  • 4.50, Аноним (9), 05:47, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    > всего графического стека и ещё браузер

    Что за кошмары на ночь? Нет же.

    Зависимости QJSEngine: Core, QML и Network (последний зависит от QML, увы), на оффтопике с mingw получается 11.4 Мб либ.

    С Core + Script выходит 8.09, что, конечно, чуть меньше. Но! Вместе с QJSEngine мы получаем весьма гибкий QQmlEngine, который отлично подходит для многих use case и легко цепляется к классам на базе QObject.
    И да, QML хорошо подходит не только для интерфейса.

     
     
  • 5.187, atu (?), 22:47, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    QJSEngine пробовал - быстро откатился обратно. Нет многих фундаментальных вещей, в первую очередь связанных с доступом к дереву объектов. QQmlEngine не смотрел - отпугнуло название (QML вряд-ли понадобится - автоматизация чисто счётных задач). Посмотрю обятельно.
     
     
  • 6.206, ivanpetrov (ok), 14:14, 24/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    > QJSEngine
    > QQmlEngine

    Это одно и то же.

     
  • 3.208, ivanpetrov (ok), 14:15, 24/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    В отличие от Qt Script, там (до сих пор) нет отладки.
     
  • 2.207, ivanpetrov (ok), 14:14, 24/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Удалят. Он давно уже помечен как "deprecated".
     

  • 1.14, Аноним (14), 23:21, 21/06/2018 [ответить] [﹢﹢﹢] [ · · · ]  
  • –2 +/
    В QT-приложения а-ля Okular уже завезли возможность выводить окно авторизации при печати на сетевой принтер через самбу? Багрепорты висят нефикшенными уже несколько лет, однако.
     
     
  • 2.16, Аноним (16), 23:30, 21/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    При чём тут приложение к фреймворку?
     
  • 2.66, Аноне (?), 08:40, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > В QT-приложения а-ля QuickTime.

    Fixed.

     

  • 1.23, Аноним (23), 00:25, 22/06/2018 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    В чём сакральный смысл был в существовании Qt5? Нельзя было делать в фоне 6-ю версию и до блеска вылезать четвёрку. Нет, междометие, надо это "недостаточно стабильное и низкопроизводительное ПО" ещё и в дистры затянуть. Поколение системд, междометие.
     
     
  • 2.26, anonymous (??), 00:42, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Это коммерческая контора вообще-то. Будут переделывать по 500 раз, если спрос есть.
     
     
  • 3.60, RotarenegeD (?), 07:40, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    > Это коммерческая контора вообще-то. Будут переделывать по 500 раз, если спрос есть.

    ветка 5.0 какраз некомерческая.. ветка 5.0 именно переход к новой концепции управления разработкой и подчёркивала.

     
     
  • 4.86, Вареник (?), 10:37, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    >> Это коммерческая контора вообще-то. Будут переделывать по 500 раз, если спрос есть.
    > ветка 5.0 какраз некомерческая.. ветка 5.0 именно переход к новой концепции управления
    > разработкой и подчёркивала.

    Бурная деятельность = Profit. Польза от бурной деятельности - да пофиг, пусть продукт ухудшится, зато все подсевшие перейдут. Вендор лок и все такое.

     
  • 4.116, anonymous (??), 13:24, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    >ветка 5.0 какраз некомерческая

    Ты ценник на неё видел? Если она некоммерческая, то у нас все жастфофан работают походу.

     
     
  • 5.122, Аноним (83), 13:58, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Мы здесь обсуждаем Qt open source
     
  • 2.31, PereresusNeVlezaetBuggy (ok), 00:51, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +3 +/
    > В чём сакральный смысл был в существовании Qt5? Нельзя было делать в
    > фоне 6-ю версию и до блеска вылезать четвёрку. Нет, междометие, надо
    > это "недостаточно стабильное и низкопроизводительное ПО" ещё и в дистры затянуть.
    > Поколение системд, междометие.

    Такой же, как в случае с Qt6: иногда надо нарушать обратную совместимость. В Qt6 порежут ставшие мешать жить атавизмы, а заодно уменьшат жирность фреймворка как такового за счёт перекладывания части работы на язык и его стандартную библиотеку. Так что всё правильно делают.

    И, да, Qt никогда не обещал быть маленьким и лёгким, это инструмент для эффективной разработки кросс-платформенных, да и просто сложных, приложений, и с этой задачей он справляется очень хорошо.

     
     
  • 3.42, Аноним (23), 02:43, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    >  В Qt6 порежут ставшие мешать жить атавизмы

    Это я понимаю. Тянуть костыли не следует. Но Qt5 даже не успел устареть, Qt4 до сих пор используется. Зачем было бросать проект, который надо просто довести до блеска (Qt4) и второй веткой сразу развивать Qt6. Нет, надо поламать совместимость с Qt4, втянув Qt5 в дистры...
    Это как бы не к тебе и другим товарищам здесь вопрос... Бомбит у меня от такой антилогики.

     
     
  • 4.54, Аноним (54), 06:21, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    лучше иметь 2 небольших изменения в API/ABI, чем сразу все совершенно новое.
    как пример стоит посмотреть на GTK2->GTK3.
    там этот эффект очень сильно виден.
     
  • 4.61, RotarenegeD (?), 07:47, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    сценарий фоновой разработки менее эффективный и противоречит принципу release early @ release often
    с 2012го года это очевидно для большинства разработчиков.


    и да четверокеды были доведены до ума перед переходом на 5ю ветку.

     
     
  • 5.74, Аноним (69), 09:24, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > и да четверокеды были доведены до ума перед переходом на 5ю ветку.

    В том-то и проблема. Как только их довели до ума, так сразу же и массово отказались от КДЕ4 в пользу КДЕ5.

     
     
  • 6.131, аноним_очка (?), 14:24, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    >В том-то и проблема. Как только их довели до ума, так сразу же и массово отказались от КДЕ4 в пользу КДЕ5.

    То есть ни wayland, ни hidpi ни прочее тебе не нужно, да?

     
     
  • 7.165, Аноним (165), 18:10, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Нужность wayland вообще до сих пор под сомнением. При всех своих плюсах (гипотетических) он пилится так вяло, что, кажется, не нужен даже своим же девелоперам.

    (мимо другой анон)

     
  • 6.177, Michael Shigorin (ok), 19:37, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    >> и да четверокеды были доведены до ума перед переходом на 5ю ветку.
    > В том-то и проблема. Как только их довели до ума, так сразу
    > же и массово отказались от КДЕ4 в пользу КДЕ5.

    В альте kde4 доступны в текущем стабильном бранче (и остаточно поддерживаются: https://packages.altlinux.org/ru/p8/srpms/kde4libs/changelog), из регулярных livecd-шек на текущем репозитории разработки убрали этот вариант пару месяцев назад только.

    Массовость -- она штука такая, о двух концах как минимум...

     
  • 4.120, Аноним (83), 13:46, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    >надо просто довести до блеска (Qt4)

    А зачем? Если уже всюду 5-е Кеды, соответственно, им нужны и приложения на Qt 5.

     
  • 3.48, kravich (ok), 04:03, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >а заодно уменьшат жирность фреймворка как такового за счёт перекладывания части работы на язык и его стандартную библиотеку

    Вот бы выкинули moc наконец-то...

     
     
  • 4.130, аноним_очка (?), 14:23, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    >Вот бы выкинули moc наконец-то...

    У тебя есть идея чем его заменить?

     
     
  • 5.159, anonymous (??), 17:29, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    cmus?
     
  • 4.136, Аноним (23), 15:09, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >>а заодно уменьшат жирность фреймворка как такового за счёт перекладывания части работы на язык и его стандартную библиотеку
    > Вот бы выкинули moc наконец-то...

    по ссылке вроде говорят, что будет qbs и C++17 во все щели. От cmake в очередной раз отказываются.

    Я не топлю за cmake, но:
    1. часть пакетов собирается autotools;
    2. часть пакетов собирается cmake'ом;
    3. часть пакетов собирается meson'ом;
    4. часть пакетов собирается scons'ом;
    5. qt собирается qmake'ом.

    Мне кажется, что где-то сообщество повернуло не туда.

     
     
  • 5.176, Michael Shigorin (ok), 19:00, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    > Мне кажется, что где-то сообщество повернуло не туда.

    Как минимум вот здесь:

    > 3. часть пакетов собирается meson'ом;
    > 4. часть пакетов собирается scons'ом;

    PS: IMNSHO

     
  • 3.114, Anonymoustus (ok), 13:19, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Если уменьшат жирность, то попутного им ветра.
     
  • 3.168, QuAzI (ok), 18:30, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    При этом в 5-ой версии обратную совместимость они не стеснялись ломать.

    >> И, да, Qt никогда не обещал быть маленьким и лёгким, это инструмент для эффективной разработки кросс-платформенных, да и просто сложных, приложений, и с этой задачей он справляется очень хорошо.

    При этом они пиарились, что идут в мобилки, автопром и всякий IoT. IoT это конечно всегда 12 ядер, 128 Гб ОЗУ и хард на побольше.

     
     
  • 4.173, PereresusNeVlezaetBuggy (ok), 18:46, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    И в 6-й сломают, для того это и 6, а не 5 x У них своя ниша, некий компромисс м... большой текст свёрнут, показать
     
  • 2.55, iPony (?), 06:26, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –3 +/
    > Нельзя было делать в фоне 6-ю версию и до блеска вылезать четвёрку.

    В параллельной вселенной кто-то будет лизать 👅? Так-то с 5-ой версией палкой гнать не будут сразу на шестую.

    А так тому же KDE за это крупные компании "гранты" дают, чтоб они Qt тестировали. Всем хорошо — все счастливы.

     
     
  • 3.135, Аноним (23), 15:05, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Конечно, без палки, это уже негуманно. Просто в списке пакетов пропадает Qt4, Qt5 и т.д.
     
     
  • 4.175, Michael Shigorin (ok), 18:59, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Просто в списке пакетов пропадает Qt4, Qt5 и т.д.

    У меня пока пропали только Qt 1.x/2.x, представляющие немалую археологическую ценность:
    http://packages.altlinux.org/qt3
    http://packages.altlinux.org/qt4
    http://packages.altlinux.org/qt5-base

     
     
  • 5.197, userd (ok), 12:00, 23/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    При всём уважении к альту и делающей его команде,
    мир вами не ограничивается.
    Напомню, что «Qt 4 не войдёт в состав Debian 10»: https://www.opennet.ru/opennews/art.shtml?num=47032 .

    Готовы ли вы (как команда) патчить Qt4 для адаптации к современным версиям сторонних библиотек?

     
     
  • 6.198, Michael Shigorin (ok), 14:23, 23/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > При всём уважении к альту и делающей его команде,
    > мир вами не ограничивается.

    Разумеется.  Это было всего лишь предъявление существования.

    > Готовы ли вы (как команда) патчить Qt4 для адаптации к современным версиям
    > сторонних библиотек?

    Посмотрим, openssl-1.1.x пока в работе.

    Общий настрой "лучше те же силы потратить на перенос на Qt 5" в последние полгода на практике не оправдался как минимум в sisyphus_e2k, всё-таки добили сборку qt4+webkit.  А qt3 там собралась вообще без вопросов.

     
     
  • 7.200, userd (ok), 15:27, 23/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    > Общий настрой "лучше те же силы потратить на перенос на Qt 5" в последние полгода на практике не оправдался как минимум в sisyphus_e2k, всё-таки добили сборку qt4+webkit.

    Это сложный вопрос, те же или другие. Кто знает?

    Вот мы уже не первый год работаем над довольно толстым прикладным проектом, порядка полумиллиона строк кода, 5000 классов, 750 форм ввода. Qt4. четыре разработчика, несчётное количество задач...

    Переезд на Qt5 выглядит как попадание под огонь из "Огонь и движение" Джоэла Спольски :)

     
     
  • 8.203, Michael Shigorin (ok), 22:40, 23/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Уф, ну удачи, что тут сказать ... текст свёрнут, показать
     
     
  • 9.212, userd (ok), 12:36, 25/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Спасибо Спасибо и за добрые слова, и за альт, которым я пользуюсь уже больше ... текст свёрнут, показать
     
  • 2.71, Аноним (69), 09:09, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +3 +/
    > В чём сакральный смысл был в существовании Qt5? Нельзя было делать в
    > фоне 6-ю версию и до блеска вылезать четвёрку. Нет, междометие, надо
    > это "недостаточно стабильное и низкопроизводительное ПО" ещё и в дистры затянуть.
    > Поколение системд, междометие.

    Зато с каким апломбом это все преподносилось.

     
  • 2.97, Аноним (83), 11:51, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >В чём сакральный смысл был в существовании Qt5?

    Там существенно изменили поведение Graphics Scene по сравнению с Qt 4, например.

     

     ....большая нить свёрнута, показать (32)

  • 1.30, anonymous (??), 00:50, 22/06/2018 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    >qbs

    Фееричненько. Система сборки с кутёй в зависимостях... Надеюсь, хоть будут разрабам по рукам давать, чтобы совместимость не ломали.

     
     
  • 2.34, PereresusNeVlezaetBuggy (ok), 01:15, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    >>qbs
    > Фееричненько. Система сборки с кутёй в зависимостях...

    Скорее всего, сделают как сейчас: в начале сборки qtbase собирается bootstrap со специальным libQtCore, а уже с его помощью qbs, и затем нормальный libQtCore и иже с ним. Только qtdeclarative, видимо, придётся внести внутрь qtbase... В целом, всё решаемо.

     
     
  • 3.147, anonymous (??), 16:09, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    В общем вернёмя к тому, от чего так радостно в Qt4 избавлялись. И всё из-за какой-то системы сборки...
     
  • 2.77, Аноним (77), 09:45, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Ну а че? Вон, rust для своей сборки требует rust и никакого бутстрапа.
     
     
  • 3.102, _hide_ (ok), 12:20, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Rust сам себя собирает, а Qt собирается с использованием C++
     
     
  • 4.133, аноним_очка (?), 14:32, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    >а Qt собирается с использованием C++

    Qt чем только не собирается, кажется там даже перл с питоном в сборке учавствует. Если весь зоопарк костылей упразднят и оставят только qbs - было бы отлично.
    Еще и в скорости сборки очень сильно выиграет.
      

     
     
  • 5.148, anonymous (??), 16:13, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Не хорошо строить выводы на ложных утверждениях. Где ты там питон с перлом увидел? https://packages.debian.org/source/experimental/qtbase-opensource-src


     
     
  • 6.152, аноним_очка (?), 16:23, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Building from Source

    These tools are not needed to run Qt 5 applications, but they are required for building Qt 5 from source.

    ActivePerl - Install a recent version of ActivePerl (download page) and add the installation location to your PATH.
    Python - Install Python from the here and add the installation location to your PATH.

     
     
  • 7.183, anonymous (??), 21:51, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    А в сорцы глянуть не судьба? Вот кусок из configure. syncqt.pl нужен только для сборки из гита. Его перед каждым релизом прогоняют, перед тем как тарбол собрать.

    if [ -e "$relpath/.git" ]; then
        if [ -z "$PERL" ]; then
            echo
            echo "You need perl in your PATH to make a build from GIT."
            echo "Cannot proceed."
            exit 1
        fi

        "$relpath/bin/syncqt.pl" -version $QT_VERSION -minimal -module QtCore "$relpath" || exit 1
    fi

    Для питона всё аналогично. Там скрипты для облегчения подготовки к релизу. И никакой qbs их не заменит. В общем учи матчасть.

     
  • 6.155, аноним_очка (?), 16:28, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Хотя конкретно в твоей ссылочке - требуется dpkg-dev. А уже в нем требуется perl.
     
     
  • 7.184, anonymous (??), 21:52, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    > Хотя конкретно в твоей ссылочке - требуется dpkg-dev. А уже в нем
    > требуется perl.

    А это уже особенности дистра. qbs тебе тут точно не поможет, если только dpkg не собрался на JS переписать.

     
  • 2.98, VladSh (?), 12:02, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    >qbs

    QBasic)

     

  • 1.32, КО (?), 00:59, 22/06/2018 [ответить] [﹢﹢﹢] [ · · · ]  
  • +4 +/
    "переход при разработке стандарт C++17",..
    а чё Qt нормальный проект для отладки компиляторов.
     
     
  • 2.201, Анониум (?), 18:04, 23/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Сиди дальше на C++ 98, там давно всё отлаженно
     

  • 1.44, Аноним (23), 02:55, 22/06/2018 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    По ссылке в комментах говорят, что люди даже форкнули кутэ4, чтобы поддержку cmake добавить, т.к. кутэшники ушли в холодок и пилят qbs.
    Не буду кидаться экскрементами, но проект Qt стал странным.

    ПС. Может там вейперы и смузиликеры у руля?

     
     
  • 2.51, Аноним (9), 05:49, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    ну, qbs нагляднее и удобнее cmake или qmake, так что почему бы нет?
     
     
  • 3.64, Аноним (64), 08:09, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Например, потому, что использование того же CMake упростило бы использование сторонних библиотек в программах на Qt, т.к. сочетание большого количестве искоробочных модулей "Find*.cmake", собираемых CMake-ом библиотек и искоробочного же модуля работы с pkg-config охватывает гораздо больше случаев, чем вещь-в-себе QBS (есть большие сомнения, что он станет хоть сколь-нибудь заметно распространён за пределами экосистемы сабжа).
     
     
  • 4.80, Школьник (ok), 10:18, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Два чая адеквату. CMake - это де-факто стандартная система сборки для всех новых проектов на C++.
     
     
  • 5.128, Аноним (9), 14:22, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Стандарт - это не всегда хорошо, миллионы мух ошибиться не могут и т.д.

    Иногда нечто становится стандартом и из-за отсутствия более адекватной альтернативы на тот период.

     
     
  • 6.149, anonymous (??), 16:15, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Только вот qbs не альтернатива. Вне Qt его нет смысла использовать.
     
  • 4.109, equeim (ok), 12:51, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Qbs поддерживает pkgconfig, так что никаких проблем с использованием сторонних библиотек нет (если, конечно, авторы библиотек не фанатики, которые предоставляют только CMake-файлы, игнорируя существование pkgconfig, как разработчики KF5, например).
     
     
  • 5.185, anonymous (??), 21:53, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    qmake тоже поддерживает. И что?
     
  • 4.124, Аноним (83), 14:09, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    >вещь-в-себе QBS (есть большие сомнения, что он станет хоть сколь-нибудь заметно распространён за пределами экосистемы сабжа)

    Его люди используют для сборки проектов на МК Cortex-M3. А сам проект делается в QtCreator.

     
     
  • 5.150, anonymous (??), 16:18, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Извращенцев всегда хватает.
     
     
  • 6.186, Владимир (??), 22:32, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Сейчас вам вообще плохо станет - я его использовал для сборки проектов на паскале.
     
     
  • 7.223, anonymous (??), 13:28, 30/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Наоборот, всё отлично и предсказуемо. Не надо терять время, чтобы обнаружить и вовремя отсеять всяких любителей странного.

     
  • 2.62, RotarenegeD (?), 07:50, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    > ПС. Может там вейперы и смузиликеры у руля?

    хочешь тоже предлагай им идеи и голосуй..

     
     
  • 3.161, PereresusNeVlezaetBuggy (ok), 17:34, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >> ПС. Может там вейперы и смузиликеры у руля?
    > хочешь тоже предлагай им идеи и голосуй..

    Но только патчи вперёд!

     
  • 2.132, аноним_очка (?), 14:30, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    >т.к. кутэшники ушли в холодок и пилят qbs.

    И правильно делают. Странно что только сейчас(и то не сейчас а через пару лет), а не лет 5 назад. Кмк, по удобству qbs'у равных нет, это огромный шаг вперед.
    Хотя, баги вылизали, с креатором подружили - можно и переходить, логично.

     

  • 1.67, Anonymchik (?), 08:48, 22/06/2018 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Смотрю я на растущие циферки версий что в QT, что в GTK, и удивляюсь - чем они там занимаются.
    Давным давно принципиальная смена версии (вроде оба на 2.х перешли с 1.х) была вызвана поддержкой мультибайтовых и широких кодировок. Дело понятное (хотя какого хрена надо писать однобайтовые тулкиты, когда уже было понятно, что это вчерашний день).
    Ну опять же добавление новых виджетов - тоже понятно. Но сейчас то уже, похоже, новый виджет изобрести дело непростое.
    Ну ладно, всякое добавление всякой всячины, свой ввод вывод , списки и т.д. и т.п. Перетаскивание из одних либ в другие всяких там циклов обработки событий и пр. пр. Тоже при желании понять можно.
    Но сейчас то, что они там все переделывают то? Уже вроде все что можно по несколько раз переделали. При том, что базовый функционал то на пользовательском уровне по большому счету остался тот же, что и 15-20 лет назад.
    Но они там все что-то пилят и пилят. При этом серьезные программы переносят между версиями тулкитов годами. И самое дикое, что часто кроме собственно кроме такого перехода на другую версию тулкита там и разницы то никакой не заметишь вооруженным взглядом. Да и про сам переход на новую версию ты часто сам бы и не догадался, если бы об этом явно не сказали.
     
     
  • 2.72, Аноним (69), 09:14, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Синдром Хрома же! Чем больше число в версии, тем круче и моднявее. Поэтому раз в месяц (утрирую, конечно) и выпускаются Qt 100500, Gtk 3.xxx, kernel 4.999 и т.п.
     
  • 2.91, sokoloff (??), 11:11, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +8 +/
    >Давным давно принципиальная смена версии (вроде оба на 2.х перешли с 1.х) была вызвана поддержкой мультибайтовых и широких кодировок. Дело понятное (хотя какого хрена надо писать однобайтовые тулкиты, когда уже было понятно, что это вчерашний день).

    Qt1.0 вышел в 1996, а начал писаться еще раньше. В то время ни про какие мультибайтовые кодировки и не слышали, это времена борьбы 1251, 866 и KOI-8.

    >Смотрю я на растущие циферки версий что в QT, что в GTK, и удивляюсь

    Если посмотреть на даты релизов https://en.wikipedia.org/wiki/Qt_version_history
    3.0 16 October 2001
    4.0 28 June 2005
    5.0 19 December 2012

    Период между релизами около 5 лет, Qt-шников нельзя обвинить в накручивании версий. А смысл следующий - внутри одной мажорной версии они обеспечивают стабильность API и даже ABI. Но время идет и для развития иногда надо выкидывать или менять старое. И выпускать раз в 5 лет новый релиз IMHO нормально.

     
     
  • 3.107, _hide_ (ok), 12:37, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >>> 3.0    16 October 2001
    >>> 4.0    28 June 2005
    >>> 5.0    19 December 2012

    Нужно лишь понимать, что этот интервал (5 лет) имел раньше совсем другой смысл, нежели сейчас.

    В примеру, KDE3 во всю использовался в 2007 году, а лишь в 2008 стало возможным использовать KDE4 без матов (в качестве тестовой машины использовался Duron с гигом оперативы -- летало, видео даже могло играть, правда через xv).

    KDE4 к 2012 году уже был как бы заброшен, хотя уже не так активно следил за этим делом, но... Виджеты, если бы они не вели себя странно, были отличным решением, которое (после опытов в 2008 году) мне казалось следующим этапом DE. Сейчас уже понятно, что сообщество такое не потянет, да и корпорации тоже -- сейчас, так сказать, этап "назад к XP".

     
     
  • 4.167, sokoloff (??), 18:20, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    >>>> 3.0    16 October 2001
    >>>> 4.0    28 June 2005
    >>>> 5.0    19 December 2012
    > Нужно лишь понимать, что этот интервал (5 лет) имел раньше совсем другой
    > смысл, нежели сейчас.
    > лишь в 2008 стало возможным использовать KDE4 без матов

    KDE4 рождался долго и больно, но это не вина Qt-шников. Хотя изменения Qt3->Qt4 были большими, но в основном проблемы KDE4 были в создании универсальных фреймворков для всего, все эти akonadi, decibel-ы и nepomuk-и с плазмами.

     
  • 3.166, Аноним (165), 18:14, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > А смысл следующий - внутри одной мажорной версии они обеспечивают стабильность
    > API и даже ABI.

    Только эта стабильность допиливается в течение всего срока поддержки, а когда она наконец достигается, наступает время для... следующего мажорного релиза!

     
     
  • 4.169, Michael Shigorin (ok), 18:38, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >> А смысл следующий - внутри одной мажорной версии они обеспечивают стабильность
    >> API и даже ABI.
    > Только эта стабильность допиливается в течение всего срока поддержки, а когда она
    > наконец достигается, наступает время для... следующего мажорного релиза!

    Вас же правда не затруднит конкретизировать?  Съехавшие символы, багрепорты, правда?

     
  • 2.115, Anonymoustus (ok), 13:20, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Смотрю я на растущие циферки версий что в QT, что в GTK,
    > и удивляюсь - чем они там занимаются.

    Кровати переставляют, когда уходят на пенсию старые шлю^W девелоперы и приходят на их место новые после школы.

     
  • 2.141, Vkni (ok), 15:15, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    > Смотрю я на растущие циферки версий что в QT, что в GTK,
    > и удивляюсь - чем они там занимаются.

    По кругу бегать можно бесконечно. Это у JSников особенно явно, многие даже статьи на эту тему пишут.

     
  • 2.163, PereresusNeVlezaetBuggy (ok), 17:38, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > Смотрю я на растущие циферки версий что в QT, что в GTK,
    > и удивляюсь - чем они там занимаются.

    Сходите в репозитории, посмотрите, что ли?

     

  • 1.73, Аноним (73), 09:18, 22/06/2018 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Скоро qtWidget выпилят!
     
     
  • 2.79, Аноним (-), 10:02, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    > Скоро qtWidget выпилят!

    На своём форуме они пишут, что скорее всего нет, т.к. это значительно сломает обратную совместимость, и не позволит автоматизировать портирование приложений на 6. Скорее всего модуль виджетов только объявят устаревшим.

     
     
  • 3.117, anonymous (??), 13:27, 22/06/2018 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >> Скорее всего модуль виджетов только объявят устаревшим.

    Это будет последнее, что они успеют сделать.


     

  • 1.199, java dev (?), 15:04, 23/06/2018 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    пусть пилят, будет шире круг. Но на работе если не апач и мит - то складывают в игнор, и так для многих, даже ковырять вечером дома эту, пусть замечательную, не суть, но в лиц. плане "поделку" не решение.
     
     
  • 2.211, Аноним (9), 01:09, 25/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Глупо. LGPL - отличная лицензия. Не GPL же.
     

  • 1.205, ivanpetrov (ok), 14:12, 24/06/2018 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    > новая сборочная система скорее всего будет основана на qbs

    На том же Qt Contributor Summit (https://wiki.qt.io/Qt_contributors_summit_2018_Program) когда зашла речь про Qbs, и продакт манагера спросили, а зачем это всё-таки нужно, он феерично ответил: "А я не знаю". После чего начали узнавать, а пользуется ли им хоть кто-нибудь, как снаружи так и внутри самой компании, и судя по результатам - никто, и внезапно все задумались, а стоит ли вообще продолжать с ним что-то делать. Так что вряд ли мы его увидим в Qt 6.

     
     
  • 2.210, Аноним (9), 01:01, 25/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    Вообще странно. Потенциально очень крутая штука, главное чтоб развивать

    ...после ужасных cmake и qmake словно небо...

     
     
  • 3.224, anonymous (??), 13:29, 30/06/2018 [^] [^^] [^^^] [ответить]  
  • +/
    А мне вот интересно, как для него bootstrap собираются готовить. Ни одна система сборки не имела ещё такое количество жирных зависимостей.
     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2020 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру